Get conversations
https://{kibana_url}
- GET /api/security_ai_assistant/current_user/conversations/_find
Get a list of all conversations for the current user. This endpoint allows users to search, filter, sort, and paginate through their conversations.
Query Parameters
-
fieldsstring A list of fields to include in the response. If omitted, all fields are returned.
-
filterstring A search query to filter the conversations. Can match against titles, messages, or other conversation attributes.
-
sort_field The field by which to sort the results. Valid fields are
created_at,title, andupdated_at.-
Values:
created_attitleupdated_at -
sort_order The order in which to sort the results. Can be either
ascfor ascending ordescfor descending.-
Values:
ascdesc -
pageinteger · min: 1 · default: 1 The page number of the results to retrieve. Default is 1.
-
per_pageinteger · min: 0 · default: 20 The number of conversations to return per page. Default is 20.
-
is_ownerboolean · default: false Whether to return conversations that the current user owns. If true, only conversations owned by the user are returned.
Responses
Successful response, returns a paginated list of conversations matching the specified criteria.
-
dataobjectrequired -
A list of conversations.
-
apiConfig -
actionTypeIdstringrequired -
Action type ID
-
connectorIdstringrequired -
Connector ID
-
defaultSystemPromptIdstring -
Default system prompt ID
-
modelstring -
Model
-
createdAtstringrequired -
The time conversation was created.
-
createdByrequired -
Could be any string, not necessarily a UUID.
-
excludeFromLastConversationStorageboolean -
Exclude from last conversation storage.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
messagesobject -
The conversation messages.
-
contentstringrequired -
Message content.
-
idstring · min: 1 -
A string that does not contain only whitespace characters.
-
isErrorboolean -
Is error message.
-
metadata -
Message metadata
-
contentReferencesobject -
A union of all content reference types
-
interruptValue -
Union of the interrupt values
-
expiredboolean -
Whether the interrupt has expired and can no longer be resumed.
-
threadIdstringrequired -
Thread ID of the graph execution that produced this message.
-
descriptionstringrequired -
Description of action required
-
expiredboolean -
Whether the interrupt has expired and can no longer be resumed.
-
threadIdstringrequired -
Thread ID of the graph execution that produced this message.
-
descriptionstring -
Description of action required
-
placeholderstring -
Placeholder text for the input field
-
readerobject -
refusalstring -
Refusal reason returned by the model when content is filtered.
-
timestampstring · min: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
traceData -
Trace Data
-
traceIdstring -
Could be any string, not necessarily a UUID
-
transactionIdstring -
Could be any string, not necessarily a UUID
-
namespacestringrequired -
Kibana space
-
replacementsobject -
Replacements object used to anonymize/deanonymize messages
-
timestampstring · min: 1 -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
titlestringrequired -
The conversation title.
-
updatedAtstring -
The last time conversation was updated.
-
pageintegerrequired -
The current page of the results.
-
perPageintegerrequired -
The number of results returned per page.
-
totalintegerrequired -
The total number of conversations matching the filter criteria.
Interrupt that requests user to select one of the provided options
Interrupt that requests user to provide text input
Bad Request response.
-
errorstring -
messagestring -
statusCodenumber